#include <stdio.h>
#include <ctype.h>
#include <pwd.h>
#include <signal.h>

#ifdef BSD
#define strchr(a,b) index(a,b)
#endif				/* BSD */

/*
 * Switch for my use - if defined, overrides the defaults below and sets up
 * my own. It's simplest if you undefine and ignore this switch.
 */

#undef DEVELOPMENT_VERSION

/* !!!! EVERYBODY ELSE START HERE !!!! */

/*
 * if defined, this will insert code for verbose options
 */

#define CRACK_VERBOSE

/*
 * define this if you have _toupper() - check your manpages
 */

#undef FAST_TOCASE

/*
 * define this if you are on a Sys V type system with a uname() system call
 * and have no gethostname() - it fakes up a BSD gethostname() so you can use
 * CRACK_NETWORK; see crack-port.c
 */

#undef CRACK_UNAME

/*
 * define this if you are running multiple Cracks over a network; if you
 * aren't using "rsh" to do this, edit "Scripts/RCrack" as well
 */

#undef CRACK_NETWORK

/*
 * define this to search gecos entry for possible passwords - I RECOMMEND
 * THIS VERY VERY STRONGLY
 */

#define CRACK_GECOS

/*
 * define this to make a dictionary pass of pluralised words
 */

#define CRACK_PLURAL

/*
 * define this to make a dictionary pass of words with leading and trailing
 * 0's and 1's.  If you want to add other leading/trailing characters, edit
 * the "trailing_chars[]" string in "crack-pp.c"
 */

#define CRACK_TRAILING

/*
 * define this to print the password if you crack it
 */

#define CRACK_PRINTOUT

/*
 * if defined, tries guesses < 5 chars long - this wastes time if you are
 * unlikely to have REALLY short passwords, try it once though.
 */

#define CRACK_SHORT_PASSWDS

/*
 * if defined, do sanity checks on the DES password - this gets round expiry
 * mechanisms appending extra characters to signify "things"
 */

#define CRACK_PW_VERIFY

/*
 * define this if you are using fcrypt() - you might not want to if
 * fcrypt() doesn't work properly
 */

#define FCRYPT

/*
 * The following symbols pertain ONLY to fcrypt() usage
 */

/*
 * if defined use builtin clearing in preference to using bzero(), for 4 or 8
 * byte long ints
 */

#define BUILTIN_CLEAR

/*
 * define if you have a bzero and do not want to use BUILTIN_CLEAR
 */

#define BZERO

/*
 * define this if you have a 4 byte "long_int" on RISC machines and want a
 * speedup - it should not hurt CISC machines either
 */

#undef FDES_4BYTE

/*
 * undef this if your compiler knows the fact that 6*x == x<<1 + x<<2
 */

#undef BRAINDEAD6

/*
 * Personal stuff only - I recommend you ignore stuff below this line, unless
 * you know what you're doing
 */

#ifdef DEVELOPMENT_VERSION
/*
 * for my personal use, this is my configuration on a DS5000/200
 */
#undef BRAINDEAD6

#ifndef BUILTIN_CLEAR
#define BUILTIN_CLEAR
#endif /* BUILTIN_CLEAR */

#undef BZERO

#ifndef CRACK_GECOS
#define CRACK_GECOS
#endif	/* CRACK_GECOS */

#ifndef CRACK_NETWORK
#define CRACK_NETWORK
#endif	/* CRACK_NETWORK */

#ifndef CRACK_PLURAL
#define CRACK_PLURAL
#endif	/* CRACK_PLURAL */

#ifndef CRACK_PRINTOUT
#define CRACK_PRINTOUT
#endif	/* CRACK_PRINTOUT */

#ifndef CRACK_PW_VERIFY
#define CRACK_PW_VERIFY
#endif	/* CRACK_PW_VERIFY */

#undef CRACK_SHORT_PASSWDS

#ifndef CRACK_TRAILING
#define CRACK_TRAILING
#endif	/* CRACK_TRAILING */

#undef CRACK_UNAME

#undef CRACK_VERBOSE

#undef FAST_TOCASE

#ifndef FCRYPT
#define FCRYPT
#endif	/* FCRYPT */

#ifndef FDES_4BYTE
#define FDES_4BYTE
#endif	/* FDES_4BYTE */

#endif				/* DEVELOPMENT VERSION */
